docknot (8.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix formatting of some text documents due to leakage of global state
      between documents.
    - Automatically add the .css suffix to style sheets specified in
      Markdown pointers, matching the behavior of other pointers.
    - Fix style sheet URLs during docknot update-spin.
  * Fix permissions of installed Perl modules to match Debian Policy.
  * Add X-Style: black to debian/control and reformat with debputy.
  * Remove now-unnecessary debian/docs debhelper configuration file.

 -- Russ Allbery <rra@debian.org>  Sun, 14 Jul 2024 11:58:28 -0700

docknot (8.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Add App::DocKnot::Spin::Text and docknot spin-text.
    - Support *.spin pointers for external text files, deprecating *.faq.
    - Support version numbers prefixed with v in release tarball names.
    - Change the docknot.yaml field orphaned to unmaintained.
    - Adjust the documentation generation for unmaintained packages.
    - Add missing </address> in pages rendered from Markdown.
    - Fix URL in docknot spin footer to point to the DocKnot home page.
  * Migrate to debputy.
  * Add README.source explaining the maintainer workflow for docknot.
  * Adjust watch and gbp.conf for the new upstream versioning pattern.
  * Update standards version to 4.7.0 (no changes required).
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sun, 07 Jul 2024 10:28:59 -0700

docknot (7.01-2) unstable; urgency=medium

  * Apply upstream patch to fix test suite with Perl 5.36 and later.  The
    error messages from Text::Balanced are slightly different and the test
    suite needed to be adjusted to allow for either.  (Closes: #1042853)
  * Update Lintian override for its new context syntax.
  * Update standards version to 4.6.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 18 Nov 2023 16:13:54 -0800

docknot (7.01-1) unstable; urgency=medium

  * New upstream release.
    - Correctly handle Unicode output from commands run from pointers and
      from POD processing by Pod::Thread.
    - Follow symlinks to ordinary files in docknot spin.
    - Use IEC units for \size spin command output.

 -- Russ Allbery <rra@debian.org>  Wed, 19 Jan 2022 20:57:09 -0800

docknot (7.00-1) unstable; urgency=medium

  * New upstream release.
    - Various module APIs now take Path::Tiny objects instead of strings.
    - Unicode should now be handled uniformly and correctly.
    - Fix processing of old-style pointers in docknot spin.
    - Fix import error when running docknot release.
    - Fix .versions updating in docknot release.
    - Process .rss files in an initial pass to avoid problems when their
      output files are newly-created and Path::Iterator::Rule doesn't
      re-read the directory.
    - Ensure the *.tar.xz file is always regenerated if needed.
    - Ensure GnuPG signatures are always regenerated.
    - Copy the file modification timestamps in docknot release.

 -- Russ Allbery <rra@debian.org>  Mon, 17 Jan 2022 12:56:42 -0800

docknot (6.01-1) unstable; urgency=medium

  * New upstream release.
    - Add new docknot release command to update a software release area.
    - Add new docknot update-spin command to update a spin input tree.
    - Avoid changing working directories in docknot spin.
    - Fix requirement for package metadata when running docknot spin.
    - Don't overwrite output files if docknot generate fails.
  * Update the package description to reflect that it is now also a static
    web site generator.

 -- Russ Allbery <rra@debian.org>  Sat, 15 Jan 2022 17:20:06 -0800

docknot (6.00-1) unstable; urgency=medium

  * New upstream release.
    - Add new *.spin file for docknot spin to format an external file.
    - Add Markdown support via *.spin files.
    - Support *.spin files for POD conversion (*.rpod is deprecated).
    - Support creating distributions from either master or main.
    - Fix unintended localization of dates in RSS output.
    - Fix small whitespace problems in thread output.

 -- Russ Allbery <rra@debian.org>  Sat, 25 Dec 2021 17:22:39 -0800

docknot (5.00-2) unstable; urgency=medium

  * Add lib/App/DocKnot.pm to the files made available to autopkgtest
    tests, since the test suite uses it as a sample POD document to test
    POD conversions.  (Closes: #996037)

 -- Russ Allbery <rra@debian.org>  Sun, 17 Oct 2021 11:36:12 -0700

docknot (5.00-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
    - Add static site generator, available as docknot spin.
    - Support distribution.packaging.debian.package metadata alongside
      distribution.packaging.debian.personal.
    - Ignore configure~ when checking distribution tarballs.
    - Stop generating a developer link to a to-do list in thread output.
  * Add perl to build dependencies, since it is formally needed although
    other packages are likely to pull it in.  Remove libdevel-cover-perl,
    since that test is skipped, and add libtest-pod-coverage-perl, which
    is run under automated testing.
  * Fix Bug-* URLs in debian/upstream/metadata.
  * Update standards version to 4.6.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 12 Sep 2021 11:55:16 -0700

docknot (4.01-1) experimental; urgency=medium

  * New upstream release.
    - Read ~/.config/docknot/config.yaml to set global user preferences,
      including distdir and pgp_key for docknot dist.
    - docknot dist now supports signing the generated tarballs.
    - Remove load_appdata_json helper function from App::DocKnot.
    - Fix docknot --help.
    - Documentation cleanups.
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sat, 27 Feb 2021 11:54:27 -0800

docknot (4.00-2) unstable; urgency=medium

  * Configure the autopkgtest-pkg-perl tests.  (Closes: #981765)
    - Disable doc and style tests, which don't test functionality and are
      therefore outside the remit of autopkgtest, and which depend on bits
      of the source tree.
    - Include the package metadata that is used as input to some of the
      tests when running the smoke test.

 -- Russ Allbery <rra@debian.org>  Wed, 03 Feb 2021 19:56:38 -0800

docknot (4.00-1) unstable; urgency=medium

  * First upload to Debian.  (Closes: #978083)
  * New upstream release.
    - Change the metadata format to a single YAML file.
    - Add schema checking.
    - Add a docknot update command to convert from the old format.
    - Reorganize the structure of the package metadata.
    - Drop support.cpan since the CPAN RT instance is being retired.
    - Drop the version number from README.md.
    - Word-wrap numeric lists and (in Markdown) quoted paragraphs.
    - Change the threshold for detection of verbatim paragraphs.
    - Minor output tweaks.
  * Update package synopsis from upstream blurb.
  * Change default packaging branch to debian/unstable.
  * Update Vcs-Git and Vcs-Browser to point to Salsa.
  * Add Lintian override for repeated-path-segment (see #968156).
  * Remove bug address override directing bugs to my email.
  * Update standards version to 4.5.1 (no changes required).
  * Update debian/watch version to 4.

 -- Russ Allbery <rra@debian.org>  Fri, 25 Dec 2020 13:52:05 -0800

docknot (3.05-1) unstable; urgency=medium

  * New upstream release.
    - Improve (hopefully) the heuristic to avoid wrapping output
      paragraphs with intentionally broken lines.
    - Force the Debian version badge in README.md to use unstable.
    - Update dependenies as recommended by Perl::Critic::Freenode.
  * Add missing dependency on libio-compress-lzma-perl.

 -- Russ Allbery <rra@debian.org>  Sun, 09 Aug 2020 16:22:57 -0700

docknot (3.04-1) unstable; urgency=medium

  * New upstream release.
    - Change the vcs.travis metadata key to vcs.status.travis.
    - Add support for vcs.status.workflow to create a badge from a GitHub
      workflow.
  * Update debhelper compatibility level to V13.
  * Update standards version to 4.5.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 16 May 2020 11:27:01 -0700

docknot (3.03-1) unstable; urgency=medium

  * New upstream release.
    - Add license badge for CPAN packages.
    - Add Debian package version badge.
    - Use IO::Uncompress::Gunzip and IO::Compress:Xz instead of forking
      external programs.
    - Support a distribution/ignore metadata setting to configure which
      files to ignore when checking a distribution.
    - Stop modifying the $@ of the caller of App::DocKnot::Config.

 -- Russ Allbery <rra@debian.org>  Sun, 19 Jan 2020 19:37:49 -0800

docknot (3.02-1) unstable; urgency=medium

  * New upstream release.
    - Add support for No Maintenance Intended badge in Markdown README.
    - Create xz-compressed distribution tarballs if needed.
    - Check for files missing from the distribution tarball.
    - Remove existing directories when recreating a distribution.
    - Don't use make warnings with C++ builds.
    - Properly skip a test on Windows that requires tar.
  * Update standards version to 4.4.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 08 Jan 2020 14:48:16 -0800

docknot (3.01-1) unstable; urgency=medium

  * New upstream release.
    - Run make check-cppcheck during dist for Autoconf packages.
    - Run make check-valgrind during dist for packages that support it.
    - Allow the path to Perl to be configured in App::DocKnot::Dist.
  * Set AUTOMATED_TESTING to run more of the test suite.  Remove
    Build-Depends for author-only tests, which are not run.
  * Add git to Build-Depends to run the dist test suite.

 -- Russ Allbery <rra@debian.org>  Sun, 14 Jul 2019 20:55:42 -0700

docknot (3.00-1) unstable; urgency=medium

  * New upstream release.
    - Move confiugration parsing to App::DocKnot::Config.
    - Move entry point for commands to App::DocKnot::Command.
    - Add new docknot dist command and App::DocKnot::Dist module.
    - Support orphaned warnings in README and README.md output.
    - Add bug tracker links to CPAN RT in the developer documentation
      links section of the thread output.
  * Update to debhelper compatibility level V12.
    - Remove debian/compat and depend on debhelper-compat instead.

 -- Russ Allbery <rra@debian.org>  Sat, 29 Jun 2019 21:22:49 -0700

docknot (2.00-1) unstable; urgency=medium

  * New upstream release.
    - Previous docknot functionality moved to docknot generate command.
    - docknot generate now takes the template as its first positional
      argument.
    - The metadata path defaults to docs/metadata if not given.
    - The -o option and output argument are optional if a default output
      file is defined (which it is for readme and readme-md).
    - App::DocKnot functionality moved to App::DocKnot::Generate, and
      App::DocKnot now provides command parsing and subcommand support.
    - New generate-all command and method that generates all package
      documentation with a default output path.
    - Perl modules now generate a separate TESTING section.  Move the
      Lancaster instructions to that section, and use it for Perl module
      test dependencies.
    - Lancaster testing instructions generated even if a custom testing
      section is provided.
  * Update standards version to 4.3.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 12 Jan 2019 20:51:30 -0800

docknot (1.06-1) unstable; urgency=medium

  * New upstream release.
    - Put footnotes in text output immediately after the paragraph
      containing the reference, rather than moving them to the bottom of
      the formatted text.
    - Do not wrap paragraphs that look like a bunch of short lines.
    - Adjust README templates to mention Clang with make warnings.
    - Adjust README.md wording for the announce list information URL.
    - Add support for broken quotes in the thread template.
    - Add thread template support for additional developer documentation.
    - Add thread template support for contributed program documentation.
  * Update standards version to 4.2.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Fri, 31 Aug 2018 19:53:49 -0700

docknot (1.05-1) unstable; urgency=medium

  * New upstream release.
    - Add Travis-CI badge to README.md and to thread development links.
    - Add Shields.io badge for CPAN version to README.md with a link to
      metacpan.org.
    - Move the description of the Lancaster Consensus environment
      variables to the testing section of README.
    - Support new packaging/extra metadata file for thread output.
    - Correctly handle multi-paragraph debian/summary metadata.
    - Fix README formatting when bootstrap documentation is provided.
    - Require Perl 5.24 or later.
  * Mark as Multi-Arch: foreign.
  * Set Rules-Requires-Root: no.
  * Enable autopkgtest-pkg-perl tests.
  * Add upstream/metadata file.
  * Update standards version to 4.1.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 05 May 2018 18:58:28 -0700

docknot (1.04-1) unstable; urgency=medium

  * New upstream release.

 -- Russ Allbery <rra@debian.org>  Sat, 24 Mar 2018 13:03:36 -0700

docknot (1.03-1) unstable; urgency=medium

  * New upstream release.
    - Add support for the support/extra metadata file.
    - Add SPDX explanation paragraph to README and README.md.
  * Add upstream-vcs-tag pattern to debian/gbp.conf.
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sat, 17 Mar 2018 17:01:47 -0700

docknot (1.02-1) unstable; urgency=medium

  * New upstream release.
    - Support quoted paragraphs and turn them into indentation when
      converting markup to plain text.
    - Support numbered lists when converting to thread.
    - Force long, unbreakable lines to be left intact when wrapping.
    - Preserve two spaces after periods in more wrapping situations.
    - Support test/prefix metadata, replacing test introduction.
    - Add new BSD-3-clause-or-GPL-1+ license.
    - Support more complex quote attributions in thread output.
    - Add security advisory support to the thread template.
  * Update to debhelper compatibility level V11.
  * Update standards version to 4.1.3.
    - Change priority to optional.
    - Use https URL for debian/copyright Format.
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sun, 31 Dec 2017 11:15:56 -0800

docknot (1.01-1) unstable; urgency=medium

  * New upstream release.
    - Add build and test instructions for Autoconf packages, including
      details for Kerberos configuration.  Allow a testing section to
      override.  Add a flag for packages not meant to be installed.
    - Add support for license notices.
    - Add support for stock building and installation sections for Perl
      module packages using ExtUtils::MakeMaker or Module::Build.
    - Add thread support for short quotes.
    - Add support for additional bootstrapping requirements.
    - Allow markup in license notices.

 -- Russ Allbery <rra@debian.org>  Sun, 25 Dec 2016 09:27:06 -0800

docknot (1.00-1) unstable; urgency=medium

  * Initial version.

 -- Russ Allbery <rra@debian.org>  Wed, 26 Oct 2016 22:59:52 -0700
